anorack (0.2.8) unstable; urgency=low

  * Drop support for Python < 3.6.
  * Stop using the distutils module.
    (It's deprecated and scheduled for removal in Python 3.12.)
  * Improve the test suite:
    + Stop using nose for the test suite.
    + Disallow dubious operations on bytes.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 24 Aug 2022 20:49:50 +0200

anorack (0.2.7) unstable; urgency=low

  * Add override for "UPS".
    https://github.com/jwilk/anorack/issues/6
    Thanks to Martin Michlmayr for the bug report.
  * Fix parsing words with intra-word apostrophes.
    https://github.com/jwilk/anorack/issues/7
    Thanks to Martin Michlmayr for the bug report.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 01 Jun 2020 20:12:29 +0200

anorack (0.2.6) unstable; urgency=low

  * Add override for "src".
    https://github.com/jwilk/anorack/issues/5
    Thanks to Paul Wise and Emmanuel Arias for the bug report.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 25 May 2020 14:49:32 +0200

anorack (0.2.5) unstable; urgency=low

  * Drop support for Python 3.2.
  * Don't die with exception when a file cannot be opened.
    (If there are many input files, it's helpful to continue when one of them
    cannot be opened.)
  * Improve the build system:
    + Check Python version on install. (Only when DESTDIR is not set.)
    + Byte-compile Python code on install.
    + Add checks against BSD make. (Only GNU make is supported.)
    + Don't require GNU install(1).
    + Remove the test coverage file in the clean target.
  * Rephrase description of --version in help messages.
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 21 Oct 2019 18:08:22 +0200

anorack (0.2.4) unstable; urgency=low

  * Reset the SIGPIPE signal disposition.
  * Improve the build system.

 -- Jakub Wilk <jwilk@jwilk.net>  Fri, 18 May 2018 21:05:06 +0200

anorack (0.2.3) unstable; urgency=low

  * Rewrite shebang at install time.
  * Make the doc makefile more portable.
  * Add installation instructions to README.
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 22 Mar 2017 18:46:51 +0100

anorack (0.2.2) unstable; urgency=low

  * Fix compatibility with eSpeak >= 1.48.11.
  * Add support for eSpeak NG.
  * Put license into a separate file.

 -- Jakub Wilk <jwilk@jwilk.net>  Wed, 19 Oct 2016 20:11:33 +0200

anorack (0.2.1) unstable; urgency=low

  * Explain the grammar rules in README and in the manual page.
  * Don't disable stdout/stderr line buffering.

 -- Jakub Wilk <jwilk@jwilk.net>  Sun, 21 Aug 2016 21:31:00 +0200

anorack (0.2) unstable; urgency=low

  * Fix word-splitting for compounds that include numbers or underscores.
    This fixes, among others, false positives involving acronyms such as
    “a UTF16”.
  * Retain original article's case in correction.
  * Add option for printing phonemes using IPA (--ipa).
  * Add Makefile.
  * Use /usr/bin/env in shebang.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 18 Jul 2016 12:12:40 +0200

anorack (0.1.1) unstable; urgency=low

  * Add the manual page.
  * Add N (ŋ) to the consonants set.
  * Allow quotation character between the article and the other word.
  * Fix false positives for the following phrases:
    + an EWMH
    + a UCS
    + a UDP
    + a UTF
    + a UTS
    + a UUID
    + a unary
    + a usr
  * Improve the test suite.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 11 Jul 2016 21:42:44 +0200

anorack (0.1) unstable; urgency=low

  * Initial release.

 -- Jakub Wilk <jwilk@jwilk.net>  Mon, 04 Jul 2016 21:04:36 +0200
